commoble.bagofyurting.client.jei

## Class JEIUpgradeRecipeHacks

- java.lang.Object
- - commoble.bagofyurting.client.jei.JEIUpgradeRecipeHacks

    public class JEIUpgradeRecipeHacks
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JEIUpgradeRecipeHacks()`

### Method Summary

All Methods Static Methods Concrete Methods
`static net.minecraft.item.crafting.Ingredient` `convertIngredient(net.minecraft.item.crafting.Ingredient ingredient, int outputRadius)`
`static net.minecraft.util.NonNullList<net.minecraft.item.crafting.Ingredient>` `convertIngredients(net.minecraft.util.NonNullList<net.minecraft.item.crafting.Ingredient> baseIngredients, int outputRadius)`
`static net.minecraft.item.ItemStack` `convertIngredientStack(net.minecraft.item.ItemStack baseIngredient, int outputRadius)`
`static ShapedBagUpgradeRecipe` `getFakeShapedRecipe(ShapedBagUpgradeRecipe recipe, int outputRadius)`
`static ShapelessBagUpgradeRecipe` `getFakeShapelessRecipe(ShapelessBagUpgradeRecipe recipe, int outputRadius)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JEIUpgradeRecipeHacks

    public JEIUpgradeRecipeHacks()

### Method Detail

#### getFakeShapedRecipe

    public static ShapedBagUpgradeRecipe getFakeShapedRecipe(ShapedBagUpgradeRecipe recipe,
                                                             int outputRadius)

#### getFakeShapelessRecipe

    public static ShapelessBagUpgradeRecipe getFakeShapelessRecipe(ShapelessBagUpgradeRecipe recipe,
                                                                   int outputRadius)

#### convertIngredients

    public static net.minecraft.util.NonNullList<net.minecraft.item.crafting.Ingredient> convertIngredients(net.minecraft.util.NonNullList<net.minecraft.item.crafting.Ingredient> baseIngredients,
                                                                                                            int outputRadius)

#### convertIngredient

    public static net.minecraft.item.crafting.Ingredient convertIngredient(net.minecraft.item.crafting.Ingredient ingredient,
                                                                           int outputRadius)

#### convertIngredientStack

    public static net.minecraft.item.ItemStack convertIngredientStack(net.minecraft.item.ItemStack baseIngredient,
                                                                      int outputRadius)